curl --request POST \
--url https://api.topsort.com/public/v1/media-service/slots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"slotId": "<string>",
"dimensions": {
"desktop": {
"width": 123,
"height": 123
},
"mobile": {
"width": 123,
"height": 123
}
}
}
'import requests
url = "https://api.topsort.com/public/v1/media-service/slots"
payload = {
"slotId": "<string>",
"dimensions": {
"desktop": {
"width": 123,
"height": 123
},
"mobile": {
"width": 123,
"height": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
slotId: '<string>',
dimensions: {desktop: {width: 123, height: 123}, mobile: {width: 123, height: 123}}
})
};
fetch('https://api.topsort.com/public/v1/media-service/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimensions": {},
"page": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imageUrl": "<string>"
},
"isActive": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Slot
Create a new slot.
Autorisations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Corps
- CategoryOrSearchSlotCreateRequest
- LandingPageSlotCreateRequestItem
Category or search slot create request.
The unique external slot ID that represents the slot.
1^[\w!\"#$%&'()*+,\-._/:;<>?@\[\]^\{\}~=\\]*$"sidebar-2"
The dimensions of the slot per device type.
Show child attributes
Show child attributes
category, search Réponse
Successful Response
The ad config slot model.
The ID of the ad config slot.
The external ID provided by marketplaces.
1The position of the ad config slot.
landing, category_search, category, search The ID of the marketplace that the ad config slot belongs to.
The slot dimensions. There can be at most one dimension for each device type.
Show child attributes
Show child attributes
{
"desktop": { "height": 20, "width": 20 },
"mobile": { "height": 10, "width": 10 }
}
The page that the ad config slot belongs to. Only 'landing' slots can belong to a page.
Show child attributes
Show child attributes
Indicates whether the ad config slot is active. If false, the slot cannot be used in campaigns.
Cette page vous a-t-elle été utile ?